Skip to content
GuidesPlaygroundDashboard

Look up elevation for multiple coordinates

elevation().batch(ElevationBatchParamsparams, RequestOptionsrequestOptions = RequestOptions.none()) : ElevationBatchResult
POST/api/v1/elevation/batch

Look up elevation for multiple coordinates

ParametersExpand Collapse
params: ElevationBatchParams
elevationProfileRequest: ElevationProfileRequest

Request body for elevation profile

ReturnsExpand Collapse
class ElevationBatchResult:

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates

features: List<ElevationLookupResult>

Elevation Point Features for each queried point

geometry: GeoJsonGeometry
coordinates: Coordinates

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
List<Double>
List<List<Double>>
List<List<List<Double>>>
List<List<List<List<Double>>>>
type: Type
One of the following:
POINT("Point")
LINE_STRING("LineString")
POLYGON("Polygon")
MULTI_POINT("MultiPoint")
MULTI_LINE_STRING("MultiLineString")
MULTI_POLYGON("MultiPolygon")
properties: Properties
elevationM: Optional<Double>

Elevation in meters above mean sea level

type: Type
type: Type

Look up elevation for multiple coordinates

package com.plazafyi.example

import com.plazafyi.client.PlazaClient
import com.plazafyi.client.okhttp.PlazaOkHttpClient
import com.plazafyi.models.GeoJsonGeometry
import com.plazafyi.models.elevation.ElevationBatchParams
import com.plazafyi.models.elevation.ElevationBatchResult
import com.plazafyi.models.elevation.ElevationProfileRequest

fun main() {
    val client: PlazaClient = PlazaOkHttpClient.fromEnv()

    val params: ElevationProfileRequest = ElevationProfileRequest.builder()
        .geometry(GeoJsonGeometry.builder()
            .coordinatesOfDoubles(listOf(0.0))
            .type(GeoJsonGeometry.Type.POINT)
            .build())
        .build()
    val elevationBatchResult: ElevationBatchResult = client.elevation().batch(params)
}
Returns Examples